# $Revision: 1.24 $, $Date: 2005/07/30 12:56:57 $

%define		module	pysnmp

Summary:	SNMP engine for Python
Summary(pl):	Obsuga SNMP dla Pythona
Name:		python-%{module}
Version:	4.1.3a
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pysnmp/%{module}-%{version}.tar.gz
# Source0-md5:	9b882e6da36f3bef98124e29bb1d7c69
URL:		http://pysnmp.sourceforge.net/
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of tools required by the Structure of Management
Information (SMI v.1 & v.2) to be used in Python programming
environment. Primarily, they are SNMP engine and MIB compiler.

%description -l pl
Zestaw narzdzi pozwalajcych pisa w Pythonie programy korzystajce z
protokou SNMP. Zawiera procedury suce do zarzdzania obiektami MIB
(Management Information Base), opisanych przez normy SMI (Structure of
Management Information) v1 i v2.

%package doc
Summary:	Documentation for Python pysnmp module
Summary(pl):	Dokumentacja do moduu Pythona pysnmp
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for Python pysnmp module.

%description doc -l pl
Ten pakiet zwiera dokumentacj do moduu Pythona pysnmp.

%package examples
Summary:	Example programs for Python pysnmp module
Summary(pl):	Programy przykadowe do moduu Pythona pysnmp
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pysnmp module.

%description examples -l pl
Ten pakiet zawiera przykadowe programy do moduu Pythona pysnmp.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES TODO docs/mibs/*
%{py_sitescriptdir}/%{module}/*

%files doc
%defattr(644,root,root,755)
%doc docs/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pysnmp.spec,v $
Revision 1.24  2005/07/30 12:56:57  arekm
- up to 4.1.3a; support snmp v3

Revision 1.23  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.22  2004/12/25 17:33:28  saq
- release 3 for rebuild with python 2.4

Revision 1.21  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.20  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.19  2004/06/21 14:03:06  zboczuch
- -doc and -examples submodules
- rel. 2

Revision 1.18  2004/05/02 17:20:50  leafnode
- slightly changed summary

Revision 1.17  2004/05/02 17:17:06  leafnode
- updated to 3.4.2

Revision 1.16  2004/01/19 14:29:11  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.15  2003/11/03 00:16:16  arekm
- updated to 3.3.6

Revision 1.14  2003/08/19 10:17:19  qboosh
- standardized Source0 URL, cleanups

Revision 1.13  2003/08/19 09:43:30  aniou
- Source0-md5 updated (sorry, I forgot about it)

Revision 1.12  2003/08/18 09:51:07  aniou
- update to 3.3.4

Revision 1.11  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.10  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/01 16:03:37  juandon
- new %%doc

Revision 1.7  2002/04/13 17:34:02  kloczek
- rebuild against pythin 2.2.1.

Revision 1.6  2002/04/11 13:56:34  wrobell
- rel. 3, stb

Revision 1.5  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.4  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.3  2002/03/18 07:17:03  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.2  2002/02/27 00:16:10  wrobell
- group fixed
- PYTHONPATH mangling is not required in this package
- cosmetics
- stb

Revision 1.1  2002/02/26 22:14:01  aniou
initial, based on python-log4py.spec
